## galaxy-开发/测试环境 docker-compose
## services
1. php
2. nginx
3. supervisor

### 文件目录

| 目录                     | 占用内网端口                           | 类型 |
|:------------------------|:-------------------------------------|:----|
| common-server           | $GALAXY_COMMON_SERVER_API_HTTP_PORT  | php |
| crm-admin               | $OLD_CRM_ADMIN_HTTP_PORT             | php |
| entry                   | $GALAXY_ENTRY_API_HTTP_PORT          | php |
| flow-micros             | $GALAXY_FLOW_MICROS_API_HTTP_PORT    | php |
| galaxy-crm              | $GALAXY_CRM_API_HTTP_PORT            | php |
| galaxy-workflow         | $GALAXY_WORKFLOW_API_HTTP_PORT       | php |
| micros-gateway          | $GALAXY_MICROS_GATEWAY_API_HTTP_PORT | php |
| CRM                     | $OLD_CRM_HTTP_PORT                   | vue |
| presale-micros          | $GALAXY_PRESALE_MICROS_API_HTTP_PORT | php |
| server-site             | $GALAXY_SERVER_SITE_API_HTTP_PORT    | php |
| user-micros             | $GALAXY_USER_MICROS_API_HTTP_PORT    | php |
| dwp/subapp/userInfo     | $VUE_USERINFO_PORT                   | vue |
| crm-client              | $OLD_CRM_CLIENT_HTTP_PORT            | vue |
| user-information-system | $OLD_CRM_USER_HTTP_PORT              | vue |
| dwp/main                | $DWP_HTTP_PORT                       | vue |
| dwp/subapp              | $DWP_HTTP_PORT                       | vue |

### php扩展
| 名称             |
|:----------------|
| bcmath          |
| Core            |
| ctype           |
| curl            |
| date            |
| dom             |
| fileinfo        |
| filter          |
| gd              |
| hash            |
| iconv           |
| imagick         |
| imap            |
| intl            |
| json            |
| libxml          |
| mbstring        |
| mongodb         |
| mysqli          |
| mysqlnd         |
| openssl         |
| pcntl           |
| pcre            |
| PDO             |
| pdo_mysql       |
| pdo_pgsql       |
| Phar            |
| posix           |
| protobuf        |
| rdkafka         |
| readline        |
| redis           |
| Reflection      |
| session         |
| SimpleXML       |
| sockets         |
| SPL             |
| standard        |
| swoole          |
| sysvmsg         |
| sysvsem         |
| sysvshm         |
| tideways_xhprof |
| tidy            |
| tokenizer       |
| xlswriter       |
| xml             |
| xmlreader       |
| xmlrpc          |
| xmlwriter       |
| xsl             |
| Zend OPcache    |
| zip             |
| zlib            |


## 配置文件处理
如何让服务内部调度

## 安装与部署
1. 本地或远程机器 git clone 仓库代码
```shell script
git clone git@gitlab.galaxy-immi.com:kunkka.wh/docker-test.git
cd galaxy
cp .env.example .env 
# 修改.env
# ENV = 环境
# PORT = 服务端口
# CODE_DIR = 挂载目录
# 启动容器环境
docker compose up -d # 或 docker-compose up -d
# 销毁环境环境
docker compose down --rmi all # 销毁并删除镜像
```
2. portainer使用(推荐)
   - compose-yaml文件变更时，自动更新容器环境
     - webhook
     - 定时任务


## 代码更新
1. 更新后端代码
2. 更新前端代码

## 执行脚本

## 执行计划任务

## 常驻进程管理
